Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QGraphicsSceneContextMenuEvent.Reason

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QGraphicsSceneContextMenuEvent.Reason

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QGraphicsSceneContextMenuEvent

    public static final class QGraphicsSceneContextMenuEvent.Reason

extends java.lang.Enum
implements QtEnumerator

This enum describes the reason why the context event was sent.

See Also:
  Serialized Form

Field Summary
`static QGraphicsSceneContextMenuEvent.Reason` | `Keyboard` The keyboard caused this event to be sent.
`static QGraphicsSceneContextMenuEvent.Reason` | `Mouse` The mouse caused the event to be sent.
`static QGraphicsSceneContextMenuEvent.Reason` | `Other` The event was sent by some other means (i.e.

Method Summary
`static QGraphicsSceneContextMenuEvent.Reason` | `resolve(int value)` Returns the QGraphicsSceneContextMenuEvent$Reason constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QGraphicsSceneContextMenuEvent.Reason` | `valueOf(java.lang.String name)`
`static QGraphicsSceneContextMenuEvent.Reason[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Mouse

    public static final QGraphicsSceneContextMenuEvent.Reason Mouse

  The mouse caused the event to be sent. On most platforms, this means the right mouse button was clicked.

### Keyboard

    public static final QGraphicsSceneContextMenuEvent.Reason Keyboard

  The keyboard caused this event to be sent. On Windows and Mac OS X, this means the menu button was pressed.

### Other

    public static final QGraphicsSceneContextMenuEvent.Reason Other

  The event was sent by some other means (i.e. not by the mouse or keyboard).

Method Detail

### values

    public static QGraphicsSceneContextMenuEvent.Reason[] values()

### valueOf

    public static QGraphicsSceneContextMenuEvent.Reason valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QGraphicsSceneContextMenuEvent.Reason resolve(int value)

  Returns the QGraphicsSceneContextMenuEvent$Reason constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD